Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.datatype
Class SchemaParser

    java.lang.Object
      org.dom4j.datatype.SchemaParser

public class SchemaParser
extends Object

`SchemaParser` reads an XML Schema Document.

Version:
  $Revision: 1.19 $
Author:
  James Strachan , Yuxin Ruan

Constructor Summary
`SchemaParser()`
`SchemaParser(DatatypeDocumentFactory documentFactory)`

Method Summary
`void` | `build(Document schemaDocument)` Parses the given schema document
`void` | `build(Document schemaDocument, Namespace namespace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaParser

    public SchemaParser()

### SchemaParser

    public SchemaParser(DatatypeDocumentFactory documentFactory)

Method Detail

### build

    public void build(Document schemaDocument)

  Parses the given schema document

  Parameters:
    `schemaDocument` - is the document of the XML Schema

### build

    public void build(Document schemaDocument,
                      Namespace namespace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.